import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MEMessageSecurityInformation extends _NSObject {
    static alloc(): _MEMessageSecurityInformation;
    static new(): _MEMessageSecurityInformation;
    init(): _MEMessageSecurityInformation;
    initWithSigners$isEncrypted$signingError$encryptionError$(signers: _NSArray, isEncrypted: boolean, signingError: _NSError | null, encryptionError: _NSError | null): _MEMessageSecurityInformation;
    initWithSigners$isEncrypted$signingError$encryptionError$shouldBlockRemoteContent$localizedRemoteContentBlockingReason$(signers: _NSArray, isEncrypted: boolean, signingError: _NSError | null, encryptionError: _NSError | null, shouldBlockRemoteContent: boolean, localizedRemoteContentBlockingReason: _NSString | null): _MEMessageSecurityInformation;
    /** The signers of the message */
    signers(): _NSArray;
    /** Whether or not the message was encrypted. */
    isEncrypted(): boolean;
    /** Any signing error that occured when decoding the message. */
    signingError(): _NSError | null;
    /** Any encryption error that occured when decoding the message. */
    encryptionError(): _NSError | null;
    /**
     * Whether or not Mail should block loading remote content for the message by default. The user will have the option to load remote content manually.
     */
    shouldBlockRemoteContent(): boolean;
    /** A localized string containing the reason for blocking remote content. */
    localizedRemoteContentBlockingReason(): _NSString | null;
}
export interface _MEMessageSecurityInformation extends _NSSecureCoding {
}
